Page MenuHomePhabricator

[NFC][AArch64] Fix vector vsqadd intrinsics operands
ClosedPublic

Authored by dnsampaio on Jul 4 2019, 8:16 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

dnsampaio created this revision.Jul 4 2019, 8:16 AM

Are there some changes/addition to tests attached to this?

Are there some changes/addition to tests attached to this?

Hi,
I can see no difference in the CodeGen test in tools/clang/test/CodeGen/aarch64-neon-intrinsics.c, which already tests tests these intrinsics with the correct arguments. So technically speaking, it is a NFC.

dnsampaio retitled this revision from [ARM] Fix vector vsqadd intrinsics operands to [NFC][ARM] Fix vector vsqadd intrinsics operands.Jul 5 2019, 1:42 AM
dnsampaio retitled this revision from [NFC][ARM] Fix vector vsqadd intrinsics operands to [NFC][AArch64] Fix vector vsqadd intrinsics operands.Jul 5 2019, 3:45 AM
ostannard accepted this revision.Jul 10 2019, 2:34 AM
This revision is now accepted and ready to land.Jul 10 2019, 2:34 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptJul 10 2019, 2:58 AM